2019-06-24 23:15 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002275NetSurf[All Projects] Generalpublic2016-02-16 14:05
ReporterEwen Pring 
Assigned To 
SeverityminorReproducibilityalways 
StatusclosedResolutionfixed 
PlatformRISC OSOSRISC OSOS Version5.19
Product Version3.2 
Target VersionFixed in Version3.4 
Summary0002275: Failed to connect. PDF file on wordpress.com.
DescriptionTrying to load the below URL leads to a long pause and then an error.
However it quickly loads OK with Firefox on Windows.
The error message displayed is:
"Failed to connect to odysseypictures.files.wordpress.com port 443: Connection timed out (0x20e40 Host id down)".
Steps To ReproduceTry to load the below URL.
Additional InformationExamining the log (attached) also gives the following clue:
"(20.150000) content/fetchers/curl.c fetch_curl_done 897: Unknown cURL response code 7"
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
URL of problem pagehttps://odysseypictures.files.wordpress.com/2015/02/odysseymarch2015web.pdf
Attached Files
  • ? file icon Log (19,487 bytes) 2015-02-21 14:21 -
    (0.000000) utils/nsoption.c nsoption_read 605: Sucessfully opened 'NetSurf:Choices' for Options file
    (0.010000) desktop/netsurf.c netsurf_init 159: NetSurf version '3.2 (26th August 2014)'
    (0.010000) desktop/netsurf.c netsurf_init 166: NetSurf on <RISC OS>, node <armini1.timebus.co.uk>, release <5.19>, version <1.0>, machine <armv7l>
    (0.010000) utils/messages.c messages_load 124: Loading Messages from 'NetSurf:Resources.en.Messages'
    (0.040000) image/image_cache.c image_cache_init 380: Image cache initilised with a limit of 1703935 hysteresis of 340787
    (0.050000) render/html_css_fetcher.c html_css_fetcher_initialise 64: html_css_fetcher_initialise called for x-ns-css
    (0.060000) content/fetchers/curl.c fetch_curl_register 172: curl_version libcurl/7.34.0 OpenSSL/1.0.1g zlib/1.2.8 c-ares/1.10.0
    (0.070000) utils/useragent.c user_agent_build_string 68: Built user agent "NetSurf/3.2 (RISC OS)"
    (0.070000) content/fetchers/curl.c fetch_curl_register 238: ca_bundle: 'NetSurf:Resources.ca-bundle'
    (0.070000) content/fetchers/curl.c fetch_curl_register 254: cURL linked against openssl
    (0.080000) content/fetchers/curl.c fetch_curl_initialise 297: Initialise cURL fetcher for http
    (0.080000) content/fetchers/curl.c fetch_curl_initialise 297: Initialise cURL fetcher for https
    (0.080000) content/fetchers/data.c fetch_data_initialise 66: fetch_data_initialise called for data
    (0.080000) content/llcache.c llcache_initialise 3030: llcache initialising with a limit of 5111808 bytes
    (0.080000) content/fs_backing_store.c read_control 889: opening control file "SCSI::Armini1.$.!BOOT.Resources.!Cache.Caches.Default.NetSurf.control"
    (0.100000) content/fs_backing_store.c read_entries 762: Allocating 1835008 bytes for max of 65536 entries
    (0.190000) content/fs_backing_store.c read_entries 777: Read 13797 entries
    (0.190000) content/fs_backing_store.c build_entrymap 669: Allocating 2097152 bytes for max of 1048576 buckets
    (0.200000) content/fs_backing_store.c initialise 1045: FS backing store init successful
    (0.200000) content/fs_backing_store.c initialise 1047: path:SCSI::Armini1.$.!BOOT.Resources.!Cache.Caches.Default.NetSurf limit:1073741824 hyst:0 addr:20 entries:16
    (0.210000) content/fs_backing_store.c initialise 1048: Using 446233440/0
    (0.210000) javascript/jsapi.c js_initialise 46: New runtime handle 0x7febd098
    (0.210000) utils/messages.c messages_load 124: Loading Messages from 'NetSurf:Resources.LangNames'
    (0.280000) utils/filename.c filename_initialise 186: Creating "<Wimp$ScrapDir>"
    (0.280000) utils/filename.c filename_initialise 186: Creating "<Wimp$ScrapDir>/WWW"
    (0.290000) utils/filename.c filename_initialise 186: Creating "<Wimp$ScrapDir>/WWW/NetSurf"
    (0.290000) utils/filename.c filename_initialise 199: Temporary directory location: <Wimp$ScrapDir>/WWW/NetSurf/Misc
    (0.310000) content/urldb.c urldb_load 360: Loading URL file NetSurf:URL
    (0.320000) content/urldb.c urldb_load 534: Successfully loaded URL file
    (0.330000) riscos/font.c nsfont_init 84: Initialise RUfl
    (3.990000) riscos/font.c nsfont_init 96: RUfl initialised
    (3.990000) riscos/font.c ro_gui_wimp_desktop_font 584: desktop font "Franklin.Book"
    (3.1000000) riscos/font.c ro_gui_wimp_desktop_font 600: family "Franklin", size 192, style 4
    (4.020000) desktop/treeview.c treeview_init 3849: Initialising treeview module
    (4.020000) desktop/treeview.c treeview_init 3871: Initialised treeview module
    (4.070000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1630: Creating structure for window 0x20301c19
    (4.070000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1630: Creating structure for window 0x20301999
    (4.080000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1630: Creating structure for window 0x20303dd9
    (4.080000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1630: Creating structure for window 0x20303b39
    (4.080000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1630: Creating structure for window 0x20303739
    (4.080000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1630: Creating structure for window 0x203034b9
    (4.080000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1630: Creating structure for window 0x20303239
    (4.090000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1630: Creating structure for window 0x203030f9
    (4.090000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1630: Creating structure for window 0x20302fb9
    (4.090000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1630: Creating structure for window 0x20302e79
    (4.090000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1630: Creating structure for window 0x20302d39
    (4.090000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1630: Creating structure for window 0x20302ab9
    (4.110000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1630: Creating structure for window 0x20306099
    (4.110000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1630: Creating structure for window 0xfffffffe
    (4.110000) riscos/gui.c ro_gui_check_resolvers 1075: Inet$Resolvers '192.168.1.254'
    (4.110000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1630: Creating structure for window 0x20305f59
    (4.110000) desktop/hotlist.c hotlist_init 1148: Loading hotlist
    (4.150000) desktop/hotlist.c hotlist_init 1185: Loaded hotlist
    (4.150000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1630: Creating structure for window 0x20304379
    (4.150000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1630: Creating structure for window 0x20305e19
    (4.150000) desktop/global_history.c global_history_init 718: Loading global history
    (4.150000) desktop/global_history.c global_history_init 774: Loaded global history
    (4.150000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1630: Creating structure for window 0x20306319
    (4.160000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1630: Creating structure for window 0x20305c39
    (4.160000) desktop/cookie_manager.c cookie_manager_init 760: Generating cookie manager data
    (4.160000) desktop/cookie_manager.c cookie_manager_init 797: Generated cookie manager data
    (4.160000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1630: Creating structure for window 0x203061d9
    (4.160000) riscos/gui.c gui_init 1294: parameters: '-url' 'https://odysseypictures.files.wordpress.com/2015/02/odysseymarch2015web.pdf'
    (4.170000) javascript/jsapi.c js_newcontext 340: New Context 0x7ff4cae0
    (4.170000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1630: Creating structure for window 0x203059b9
    (4.170000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1630: Creating structure for window 0x20305879
    (4.170000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1630: Creating structure for window 0x20305739
    (4.170000) riscos/wimp_event.c ro_gui_wimp_event_get_window 1630: Creating structure for window 0x20305af9
    (4.190000) desktop/browser.c browser_window_navigate 1822: bw 0x7ff46a38, url https://odysseypictures.files.wordpress.com/2015/02/odysseymarch2015web.pdf
    (4.190000) desktop/browser.c browser_window_navigate 1921: Loading 'https://odysseypictures.files.wordpress.com/2015/02/odysseymarch2015web.pdf'
    (4.190000) content/llcache.c llcache_process_metadata 1248: Retriving metadata
    (4.190000) content/fs_backing_store.c get_store_entry 487: url:https://odysseypictures.files.wordpress.com/2015/02/odysseymarch2015web.pdf
    (4.200000) content/fs_backing_store.c fetch 1163: entry not found
    (4.200000) content/fetchers/curl.c fetch_curl_setup 379: fetch 0x7ff4c490, url 'https://odysseypictures.files.wordpress.com/2015/02/odysseymarch2015web.pdf'
    (4.400000) riscos/filetype.c fetch_filetype 79: unix_path = 'NetSurf:Resources.icons.arrow-l/png'
    (4.400000) riscos/filetype.c fetch_filetype 88: riscos path 'NetSurf:Resources.icons.arrow-l/png'
    (4.410000) content/content.c content__init 83: url file:///NetSurf:/Resources/icons/arrow-l.png -> 0x7ff4ad38
    (4.420000) content/content.c content_add_user 601: content file:///NetSurf:/Resources/icons/arrow-l.png (0x7ff4ad38), user 0x3c088 0x7fee38b8
    (4.420000) image/png.c info_callback 182: size 17 * 17, rowbytes 68
    (4.420000) content/content.c content_convert 283: content file:///NetSurf:/Resources/icons/arrow-l.png (0x7ff4ad38)
    (4.420000) image/image_cache.c image_cache_add 479: centry 0x7ff4a948, content 0x7ff4ad38, bitmap 0x7fedffc8
    (4.440000) riscos/filetype.c fetch_filetype 79: unix_path = 'NetSurf:Resources.icons.content/png'
    (4.440000) riscos/filetype.c fetch_filetype 88: riscos path 'NetSurf:Resources.icons.content/png'
    (4.460000) content/content.c content__init 83: url file:///NetSurf:/Resources/icons/content.png -> 0x7ff61fd0
    (4.460000) content/content.c content_add_user 601: content file:///NetSurf:/Resources/icons/content.png (0x7ff61fd0), user 0x3c088 0x7fec5988
    (4.460000) image/png.c info_callback 182: size 17 * 17, rowbytes 68
    (4.460000) content/content.c content_convert 283: content file:///NetSurf:/Resources/icons/content.png (0x7ff61fd0)
    (4.460000) image/image_cache.c image_cache_add 479: centry 0x7ff4afe8, content 0x7ff61fd0, bitmap 0x7ff4b0a8
    (4.470000) riscos/filetype.c fetch_filetype 79: unix_path = 'NetSurf:Resources.icons.directory/png'
    (4.470000) riscos/filetype.c fetch_filetype 88: riscos path 'NetSurf:Resources.icons.directory/png'
    (4.480000) content/content.c content__init 83: url file:///NetSurf:/Resources/icons/directory.png -> 0x7ff627c0
    (4.500000) content/content.c content_add_user 601: content file:///NetSurf:/Resources/icons/directory.png (0x7ff627c0), user 0x3c088 0x7fedcb78
    (4.500000) image/png.c info_callback 182: size 17 * 17, rowbytes 68
    (4.500000) content/content.c content_convert 283: content file:///NetSurf:/Resources/icons/directory.png (0x7ff627c0)
    (4.500000) image/image_cache.c image_cache_add 479: centry 0x7ff4b108, content 0x7ff627c0, bitmap 0x7fee2608
    (4.510000) riscos/filetype.c fetch_filetype 79: unix_path = 'NetSurf:Resources.icons.directory2/png'
    (4.510000) riscos/filetype.c fetch_filetype 88: riscos path 'NetSurf:Resources.icons.directory2/png'
    (4.530000) content/content.c content__init 83: url file:///NetSurf:/Resources/icons/directory2.png -> 0x7ff62be0
    (4.530000) content/content.c content_add_user 601: content file:///NetSurf:/Resources/icons/directory2.png (0x7ff62be0), user 0x3c088 0x7fefd588
    (4.530000) image/png.c info_callback 182: size 17 * 17, rowbytes 68
    (4.530000) content/content.c content_convert 283: content file:///NetSurf:/Resources/icons/directory2.png (0x7ff62be0)
    (4.530000) image/image_cache.c image_cache_add 479: centry 0x7ff62ad0, content 0x7ff62be0, bitmap 0x7fec6d60
    (4.540000) riscos/filetype.c fetch_filetype 79: unix_path = 'NetSurf:Resources.icons.search/png'
    (4.540000) riscos/filetype.c fetch_filetype 88: riscos path 'NetSurf:Resources.icons.search/png'
    (4.570000) content/content.c content__init 83: url file:///NetSurf:/Resources/icons/search.png -> 0x7ff64ef8
    (4.570000) content/content.c content_add_user 601: content file:///NetSurf:/Resources/icons/search.png (0x7ff64ef8), user 0x3c088 0x7fec4f98
    (4.580000) image/png.c info_callback 182: size 17 * 17, rowbytes 68
    (4.580000) content/content.c content_convert 283: content file:///NetSurf:/Resources/icons/search.png (0x7ff64ef8)
    (4.580000) image/image_cache.c image_cache_add 479: centry 0x7ff42f00, content 0x7ff64ef8, bitmap 0x7ff42d48
    (4.580000) riscos/filetype.c fetch_filetype 79: unix_path = 'NetSurf:Resources.icons.hotlist-add/png'
    (4.590000) riscos/filetype.c fetch_filetype 88: riscos path 'NetSurf:Resources.icons.hotlist-add/png'
    (4.610000) content/content.c content__init 83: url file:///NetSurf:/Resources/icons/hotlist-add.png -> 0x7ff635c0
    (4.610000) content/content.c content_add_user 601: content file:///NetSurf:/Resources/icons/hotlist-add.png (0x7ff635c0), user 0x3c088 0x7ff42d90
    (4.610000) image/png.c info_callback 182: size 17 * 17, rowbytes 68
    (4.610000) content/content.c content_convert 283: content file:///NetSurf:/Resources/icons/hotlist-add.png (0x7ff635c0)
    (4.620000) image/image_cache.c image_cache_add 479: centry 0x7ff648d0, content 0x7ff635c0, bitmap 0x7ff42300
    (4.630000) riscos/filetype.c fetch_filetype 79: unix_path = 'NetSurf:Resources.icons.hotlist-rmv/png'
    (4.630000) riscos/filetype.c fetch_filetype 88: riscos path 'NetSurf:Resources.icons.hotlist-rmv/png'
    (4.650000) content/content.c content__init 83: url file:///NetSurf:/Resources/icons/hotlist-rmv.png -> 0x7ff65e00
    (4.650000) content/content.c content_add_user 601: content file:///NetSurf:/Resources/icons/hotlist-rmv.png (0x7ff65e00), user 0x3c088 0x7ff42590
    (4.650000) image/png.c info_callback 182: size 17 * 17, rowbytes 68
    (4.660000) content/content.c content_convert 283: content file:///NetSurf:/Resources/icons/hotlist-rmv.png (0x7ff65e00)
    (4.660000) image/image_cache.c image_cache_add 479: centry 0x7ff64940, content 0x7ff65e00, bitmap 0x7ff4a7b0
    (19.620000) content/fetchers/curl.c fetch_curl_done 860: done https://odysseypictures.files.wordpress.com/2015/02/odysseymarch2015web.pdf
    (19.640000) content/fetchers/curl.c fetch_curl_done 897: Unknown cURL response code 7
    (19.640000) content/fetchers/curl.c fetch_curl_stop 748: fetch 0x7ff4c490, url 'https://odysseypictures.files.wordpress.com/2015/02/odysseymarch2015web.pdf'
    (19.640000) riscos/gui.c warn_user 2081: Failed to connect to odysseypictures.files.wordpress.com port 443: Connection timed out (0x20e24 Operation now in progress) (null)
    (21.700000) riscos/wimp_event.c ro_gui_wimp_event_close_window 1089: Close event received for window 0x20301c19
    (25.320000) riscos/iconbar.c ro_gui_iconbar_menu_select 241: QUIT in response to user request
    (25.320000) desktop/netsurf.c netsurf_exit 274: Closing GUI
    (25.360000) desktop/browser.c browser_window_destroy_internal 1627: Destroying window
    (25.360000) desktop/browser.c browser_window_destroy_internal 1638: Clearing schedule 0xe6678(0x7ff4e6c0)
    (25.360000) riscos/toolbar.c ro_toolbar_destroy 949: Destroying toolbar 0x7ff4c9e0
    (25.360000) riscos/wimp_event.c ro_gui_wimp_event_finalise 297: Removing all events for window 0x20305739
    (25.370000) riscos/wimp_event.c ro_gui_wimp_event_finalise 297: Removing all events for window 0x20305879
    (25.370000) riscos/wimp_event.c ro_gui_wimp_event_finalise 297: Removing all events for window 0x203059b9
    (25.370000) riscos/wimp_event.c ro_gui_wimp_event_finalise 297: Removing all events for window 0x20305af9
    (25.370000) javascript/jsapi.c js_destroycontext 351: Destroying Context 0x7ff4cae0
    (25.370000) desktop/browser.c browser_window_destroy_internal 1717: Status text cache match:miss 0:2
    (25.380000) riscos/wimp_event.c ro_gui_wimp_event_finalise 297: Removing all events for window 0x20306319
    (25.380000) desktop/global_history.c global_history_fini 786: Finalising global history
    (25.380000) desktop/global_history.c global_history_fini 798: Finalised global history
    (25.380000) riscos/wimp_event.c ro_gui_wimp_event_finalise 297: Removing all events for window 0x20304379
    (25.380000) desktop/hotlist.c hotlist_fini 1197: Finalising hotlist
    (25.420000) desktop/hotlist.c hotlist_fini 1214: Finalised hotlist
    (25.420000) riscos/wimp_event.c ro_gui_wimp_event_finalise 297: Removing all events for window 0x203061d9
    (25.420000) desktop/cookie_manager.c cookie_manager_fini 809: Finalising cookie manager
    (25.420000) desktop/cookie_manager.c cookie_manager_fini 826: Finalised cookie manager
    (25.420000) desktop/treeview.c treeview_fini 3882: Finalising treeview module
    (25.420000) content/content.c content_remove_user 629: content file:///NetSurf:/Resources/icons/arrow-l.png (0x7ff4ad38), user 0x3c088 0x7fee38b8
    (25.440000) content/content.c content_remove_user 629: content file:///NetSurf:/Resources/icons/content.png (0x7ff61fd0), user 0x3c088 0x7fec5988
    (25.440000) content/content.c content_remove_user 629: content file:///NetSurf:/Resources/icons/directory.png (0x7ff627c0), user 0x3c088 0x7fedcb78
    (25.440000) content/content.c content_remove_user 629: content file:///NetSurf:/Resources/icons/directory2.png (0x7ff62be0), user 0x3c088 0x7fefd588
    (25.440000) content/content.c content_remove_user 629: content file:///NetSurf:/Resources/icons/search.png (0x7ff64ef8), user 0x3c088 0x7fec4f98
    (25.440000) desktop/treeview.c treeview_fini 3899: Finalised treeview module
    (25.440000) content/content.c content_remove_user 629: content file:///NetSurf:/Resources/icons/hotlist-add.png (0x7ff635c0), user 0x3c088 0x7ff42d90
    (25.440000) content/content.c content_remove_user 629: content file:///NetSurf:/Resources/icons/hotlist-rmv.png (0x7ff65e00), user 0x3c088 0x7ff42590
    (25.450000) desktop/netsurf.c netsurf_exit 277: Finalising JavaScript
    (25.450000) javascript/jsapi.c js_finalise 57: destroying runtime handle 0x7febd098
    (25.450000) desktop/netsurf.c netsurf_exit 280: Finalising Web Search
    (25.450000) desktop/netsurf.c netsurf_exit 283: Finalising high-level cache
    (25.450000) content/hlcache.c hlcache_finalise 563: 7 contents remain before cache drain
    (25.450000) content/content.c content_destroy 388: content 0x7ff65e00 file:///NetSurf:/Resources/icons/hotlist-rmv.png
    (25.460000) content/content.c content_destroy 388: content 0x7ff635c0 file:///NetSurf:/Resources/icons/hotlist-add.png
    (25.460000) content/content.c content_destroy 388: content 0x7ff64ef8 file:///NetSurf:/Resources/icons/search.png
    (25.460000) content/content.c content_destroy 388: content 0x7ff62be0 file:///NetSurf:/Resources/icons/directory2.png
    (25.460000) content/content.c content_destroy 388: content 0x7ff627c0 file:///NetSurf:/Resources/icons/directory.png
    (25.460000) content/content.c content_destroy 388: content 0x7ff61fd0 file:///NetSurf:/Resources/icons/content.png
    (25.460000) content/content.c content_destroy 388: content 0x7ff4ad38 file:///NetSurf:/Resources/icons/arrow-l.png
    (25.460000) content/hlcache.c hlcache_finalise 577: 0 contents remaining:
    (25.460000) content/hlcache.c hlcache_finalise 615: hit/miss 0/7
    (25.460000) content/hlcache.c hlcache_finalise 620: Finalising low-level cache
    (25.460000) content/fs_backing_store.c finalise 1072: hits:0 misses:1 hit ratio:0 returned:0 bytes
    (25.470000) desktop/netsurf.c netsurf_exit 286: Closing fetches
    (25.470000) render/html_css_fetcher.c html_css_fetcher_finalise 70: html_css_fetcher_finalise called for x-ns-css
    (25.470000) content/fetchers/curl.c fetch_curl_finalise 312: Finalise cURL fetcher http
    (25.470000) content/fetchers/curl.c fetch_curl_finalise 312: Finalise cURL fetcher https
    (25.470000) content/fetchers/curl.c fetch_curl_finalise 316: All cURL fetchers finalised, closing down cURL
    (25.470000) content/fetchers/data.c fetch_data_finalise 75: fetch_data_finalise called for data
    (25.480000) image/image_cache.c image_cache_fini 394: Size at finish 0 (in 0)
    (25.480000) image/image_cache.c image_cache_fini 404: Age 20s
    (25.480000) image/image_cache.c image_cache_fini 407: Peak size 8092 (in 7)
    (25.480000) image/image_cache.c image_cache_fini 410: Peak image count 7 (size 8092)
    (25.480000) image/image_cache.c image_cache_fini 439: Total images never rendered: 7 (includes 7 that were converted)
    (25.480000) image/image_cache.c image_cache_fini 443: Total number of excessive conversions: 0 (from 0 images converted more than once)
    (25.480000) image/image_cache.c image_cache_fini 447: Bitmap of size 1156 had most (1) conversions
    (25.480000) desktop/netsurf.c netsurf_exit 297: Closing utf8
    (25.480000) desktop/netsurf.c netsurf_exit 300: Destroying URLdb
    (25.480000) desktop/netsurf.c netsurf_exit 303: Destroying System colours
    (25.490000) desktop/netsurf.c netsurf_exit 307: Remaining lwc strings:
    (25.490000) desktop/netsurf.c netsurf_exit 310: Exited successfully
    
    ? file icon Log (19,487 bytes) 2015-02-21 14:21 +

-Relationships
+Relationships

-Notes
Dave Higton

~0001193

Dave Higton (developer)

Please try again with the current CI build. It works for me, BBxM, RO 5.22, NS CI #3348. I think the problem has been fixed somewhere along the way.
Ewen Pring

~0001204

Ewen Pring (reporter)

Tried again with the latest release ie NetSurf v3.3 (2015-03-10) - it works, so I consider issue closed. Thanks
Dave Higton

~0001205

Dave Higton (developer)

It was fixed somewhere along the way.
Vincent Sanders

~0001233

Vincent Sanders (administrator)

Confirmed fixed in 3.4 release
+Notes

-Issue History
Date Modified Username Field Change
2015-02-21 14:21 Ewen Pring New Issue
2015-02-21 14:21 Ewen Pring File Added: Log
2015-02-28 16:05 Vincent Sanders Status new => acknowledged
2015-02-28 16:05 Vincent Sanders Description Updated View Revisions
2015-02-28 16:05 Vincent Sanders Additional Information Updated View Revisions
2016-02-04 22:43 Dave Higton Note Added: 0001193
2016-02-06 16:40 Ewen Pring Note Added: 0001204
2016-02-06 19:54 Dave Higton Note Added: 0001205
2016-02-06 19:54 Dave Higton Status acknowledged => resolved
2016-02-06 19:54 Dave Higton Resolution open => fixed
2016-02-06 19:54 Dave Higton Description Updated View Revisions
2016-02-06 19:54 Dave Higton Additional Information Updated View Revisions
2016-02-16 14:05 Vincent Sanders Note Added: 0001233
2016-02-16 14:05 Vincent Sanders Status resolved => closed
2016-02-16 14:05 Vincent Sanders Fixed in Version => 3.4
2016-02-16 14:05 Vincent Sanders Description Updated View Revisions
2016-02-16 14:05 Vincent Sanders Additional Information Updated View Revisions
+Issue History